---
date: "2013-04-16T17:00:00Z"
title: Trials of Eduroam
description: "Connecting to Eduroam using Arch Linux"
tags: [linux, wifi, technology]
---

I've been having trouble connecting to Eduroam, at least reliably and persistently, without heavy desktop environments or complicated network managers. Eduroam is the wireless networking service used by many Universities in Europe, and whilst it would probably work fine using the tools provided by heavier DEs, I wanted something that could just run quickly and independently.

Many approaches require the editing of loads of config files (especially true for `netcfg`), which would need altering again after things like password changes. The approach I used (for Arch Linux) is actually really simple and involves the use of the user-contributed `wicd-eduroam` package available in the [Arch User Repository](https://aur.archlinux.org/packages/wicd-eduroam/).

Obviously, `wicd-eduroam` is related to, and depends on, `wicd`, a handy network connection manager, so install that first:

```
# pacman -S wicd
$ yaourt -S wicd-eduroam
```

(If you don't use `yaourt` download the [tarball](https://aur.archlinux.org/packages/wi/wicd-eduroam/wicd-eduroam.tar.gz) and build it using the `makepkg` method.)

`wicd` can conflict with other network managers, so stop and disable them before starting and enabling `wicd`. This will allow it to startup at boot time. e.g.:

```
# systemctl stop NetworkManager
# systemctl disable NetworkManager
# systemctl start wicd
# systemctl enable wicd
```

Now start `wicd-client` (or set it to autostart), let it scan for networks, and edit the properties of the network `eduroam` Set the encryption type as `eduroam` in the list, enter the username and password, click OK and then allow it to connect.
