---
date: "2021-02-02T20:31:00Z"
title: "Blogging for Devs"
description: "'Blogging for Devs' is an excellent course by Monica Lent for gaining confidence in writing about technology, growing your audience, and blog strategy."
tags: [100daystooffload, life]
---

A few months ago I discovered [Blogging for Devs](https://bloggingfordevs.com) - I think through [Product Hunt](https://www.producthunt.com/posts/blogging-for-devs) when it made it to #1 Product of the Day back in August last year. 

At the time blogging was something I had been thinking about quite a lot. I actively followed several other blogs - both from people I know and from others in the tech community - and it was clear that, in addition to producing content that was interesting to read by others, writing was something these bloggers actually enjoyed and found valuable too for their own learning and engagement with the community.

I have also always enjoyed writing (you have to if you're ever involved in research!). I was still posting things occasionally, and had been doing so for several years, but blogging had just never really got round to forming any part of my normal routine. It was certainly something I wanted to do more of - to write, engage more with likeminded people, and for all the other personal and professional benefits associated with consistent and frequent writing - and so this was clearly a habit I needed to learn to form.

![Blogging for Devs website](/media/blog/bloggingfordevs.png)

Blogging for Devs is a course and newsletter created by [Monica Lent](https://monicalent.com) and, with all of this running through my head, I signed-up almost straight away.

I don't want to give away too much about Monica's course or content (it's free to [sign up yourself!](https://bloggingfordevs.com)), but one thing I found really valuable was actually something that happened right at the start of the course. After I signed-up I received an automated email asking _why_ I had chosen to sign-up and what I wanted to learn. Of course, I know this is largely to help Monica shape her course and to get an understanding of people's needs, but I actually found it a super-helpful self-reflection.

Why _didn't_ I blog more? What was blocking me, even though it was something I actively wanted to do? After a while of thinking it boiled down to one main thing, which was my **confidence** and, in particular a fear of what people would think if they read it (especially if they knew me!) and also a worry of writing about things no-one is actually interested in ("why would anyone want to read this?"). I summarised this and wrote it back to Monica's email, and she got back to me with a nice personal reply not long after.

The course covers lots of topics - from SEO and branding through to actual blog content. However, my issue was still very much the whole confidence thing. One thing that became clear to me during the course is that the most important step in getting over that barrier, and then forming a habit - whether it's getting up early, doing more exercise, or writing blog posts - is just to **start doing it**.

And I don't mean tomorrow or next week, I mean **today**. Just pick something to write about. If you're just getting started it can be a quick post introducing yourslf ([WriteFreely](https://writefreely.org) is a great platform if you need one). If you've already got something going and want to write more (like me) then write a short post about something you've learned today - tech or not. The important thing is just to start doing it.

Of course, not everything you post will be enjoyed by everyone, but that's OK. It's not always solely about your audience; you're doing it for yourself too, remember.

And also remember to sign-up to [Blogging for Devs](https://bloggingfordevs.com) today too. It's a fantastic course. If you look back at my [writing history](/blog) you'll notice the difference it's had on me. I've blogged much more consistently and effectively since taking the course, and I'm still working through some of the content even today.

Even if you're already a seasoned blogger I'm sure you'll pick up some extra tips and helpful insights, and the Blogging for Devs website also has a great [Trends section](https://bloggingfordevs.com/trends) to help you discover new blogs to follow.