---
date: "2021-02-18T21:01:00Z"
title: "A Year Without Answering my Phone"
description: "Why I stopped answering my phone, and what my experience has been like since."
tags: [100daystooffload, life, opinion]
---

This month marks a year from when I decided to (_mostly_ - see below) stop answering my phone. This was not because I wanted to be antisocial (quite the opposite), but because it's become the wrong form of communication for me.

## Why did I stop?

Like many people, I am inundated with sales-y and spammy phonecalls. I have had the same mobile phone number since 2001 (that's 20 years this year), which I am sort of proud of and would prefer to keep. However, careless (or malicious) entities over the years (and more than likely mistakes also made by my younger self) have meant that my number and name are now in the databases of many different types of agents - from insurance/legal company sales teams through to dodgy Bitcoin spam companies.

It got to the point that the signal/noise ratio ("real" phone calls vs. unwanted) probably dropped to around 5%. At first, spam calls were easier to spot (they'd call from random UK cities), but recently calls started to come in from numbers starting with "07" (which designates a mobile number in the UK) and also more and more from the [area code](https://en.wikipedia.org/wiki/List_of_dialling_codes_in_the_United_Kingdom) of the city where I live - probably in the hope of appearing more legitimate to me.

I also find talking on the phone sort of _stressful_. I'm sure I'm not alone in that the _Phone_ app is probably the least-used part of my smart"phone". For some reason, to me it just doesn't feel natural, and - with the exception of close friends and family (and even them sometimes) - I'd much rather "talk" to people via IM or live text chat.

I'm naturally pretty introverted so I get on better with channels that enable me to think and formulate comms in my own time.

Unexpected and unscheduled calls are also pretty _rude_, I think. Stephen Fry sums up essentially what I feel about this [in this short but great clip from QI](https://youtu.be/7xXSw07zrio?t=211) - that phoning someone out of the blue is really the equivalent to going up to that person and yelling at them, "speak to me now, speak to me now, speak to me now". Without caring that they might be busy, stressed, not in the right frame of mind, or any number of other states.

This is incredibly invasive to do to someone you don't even _know_.

## What was the result?

In the end I made a pact that I would no longer answer the phone unless it was a pre-arranged call or from a number that I recognised - and only then close friends and family.

I feel far more empowered and in control of my own time when I hear/see my phone ring - and I just silence it and let it ring out. The decision has already been made to purposefully miss the call and so there is no need for any anxiety that might accompany such unexpected calls.

I sometimes choose to avoid calls from numbers I _do_ recognise. These callers (usually businesses I deal with) just follow-up with an email anyway to which I can respond when I'm ready - usually within the hour. If there is an emergency they can leave a voicemail, which I will get notified about and then choose how best to respond. Friends and family either feel the same as me or know me well enough so that I don't need to miss their calls.

Either way, I haven't (knowingly) missed any events, appointments, insurance renewals, or whatever. I am going to carry on as I have been and I can certainly recommend this approach to you too if you feel the same way as me about unwanted phonecalls.