---
date: "2021-02-20T21:42:00Z"
title: "The Glamour of Cyberpunk and the Road to Solarpunk"
description: "What is Solarpunk, and can we make it a reality?"
tags: [100daystooffload, opinion]
---

A few months ago I stumbled across this article: [Beyond Cyberpunk: Towards a Solarpunk Future](https://thedorkweb.substack.com/p/towards-a-solarpunk-future). It was posted on the excellent blog _Tales from the Dork Web_, by Steve Lord, which I can certainly recommend [subscribing to](https://thedorkweb.substack.com/subscribe).

I had never heard of the term "Solarpunk" before, but I read up more about it and the more I researched the more intrigued I became. Essentially it is defined as - more or less - the _opposite_ to the [Cyberpunk](https://en.wikipedia.org/wiki/Cyberpunk) subculture, and I think we're at a bit of a fork in the road from which either future could become a reality.

## Cyberpunk

Cyberpunk (_not_ the game by CD Projekt) is a term that describes a potential future setting that is pretty dystopian: there is a large "wealth gap" between the rich and poor; people live in dark and cramped accommodations, have mostly unhealthy existences, and are governed by a small number of large private corporations. The growth of these companies, however, allows citizens of the Cyberpunk future to be equipped with some pretty nice pieces of technology for communication, leisure & media, travel, automation, and anything else.

In a nutshell, it's often described as "high-tech, low-life".

Whilst it sounds (to some?) like a gloomy outlook, I love the dark and lonely imagery, the artwork, stories and subculture that has emerged from other people who are also fascianted by this movement. You've probably seen such scenes yourself in pictures, movies, books, and games that adopt the Cyberpunk setting. The [r/ImaginaryCyberpunk subreddit](https://www.reddit.com/r/ImaginaryCyberpunk) community also often posts excellent and emotive content.

I love this image: [Oris City by Darko Mitev](https://www.artstation.com/artwork/R3QNee) and I can certainly recommend checking out more of his work and tutorials too. I love all of the atmosphere and detail.

Despite the "glamour", interesting and exciting stories and movies, politics, and other cultural pieces that emerge from it, Cyberpunk describes a gloomy future that I imagine most people do not want to actually experience.

## Solarpunk

I think we're at a bit of a weird, but pivotal, point in time right now - from (geo-)political, societal and technological perspectives - in that the Cyberpunk dystopia is becoming a little unblurred. With ever-mounting consumerism, capitalism, bad choices regarding energy production, mass surveillance (from both private companies and governments), and much more, our reality certainly feels as though it is moving towards a point where some of the elements that comprise Cyberpunk do not feel too far-fetched at all.

The present feels pivotal because whilst there are excellent efforts being made to reverse some of these positions around the world (from local recycling schemes and zero-waste manufacturers through to fights for human rights and rallies around liberal activists), these processes only become effective and impactive if they are considered and actioned by society _as a whole_. While there are are still enough members that continue to wallow in seemingly-backward ideologies and refuse to become involved or make any of the needed adjustments, then change as a society cannot happen.

However, on a more positive note, if such challenges can be solved - and the right choices made now and in the near future - then a whole new potential future opens its doors: one that might be described as _Solarpunk_.

In a [Solarpunk future](https://en.wikipedia.org/wiki/Solarpunk) humanity is much more in-tune with the world around it, maintaining a focus on sustainability (in terms of energy production, consumerism, ecology, and _education_), locality (in terms of sourcing materials and food, manufacturing, and the "do it yourself" movement), and - perhaps most importantly - an _attitude_ that promotes sharing and positivity.

To me it's not "hippyish" or necessarily to do with the adoption of socialism or the outright rejection of capitlism and associated ideologies - it's more concerned with sensible _balances_ across many facets of society and its politics. Competitiveness and drives to "do better" are parts of what make us human, and can very much live hand-in-hand with the other points and aesthetics we're talking about here.

Nor is it a rejection of technology. In fact, from a technological perspective, forward-thinking efforts surrounding the [free and open-source software](https://en.wikipedia.org/wiki/Free_and_open-source_software) movement and privacy-first companies are certainly components I see that can help contribute to (and become a focus within) a more sustainable and fair world. Technology can continue to innovate, develop, and improve in either setting.

> Solarpunk isn’t about doing your bit to save the world from climate collapse. Solarpunk is about building the world you want your grandchildren to grow old in. - [Steve Lord](https://thedorkweb.substack.com/p/towards-a-solarpunk-future)

We've already seen some fantastic real-world efforts that can be considered part of this movement - from architecture and transport through to self-repair and home agriculture. I love the [bottle farm](https://containergardening.wordpress.com/2011/09/07/bottle-tower-gardening-how-to-start-willem-van-cotthem) idea included in the post I mentioned at the start of this article, and want to try this myself.

There are also the more obvious reflections, such as to fully embrace solar energy (and other renewables) as a source of power - both at an individual and industrial scale - and efforts concerned with maintaining green spaces in developing and urban areas. I think that the more mainstream and ubiquitous we can make all of these actions the more realistic a Solarpunk world can become.

--

_Note: this article only scratches the surface of the Cyberpunk and Solarpunk subcultures. It is aimed to be more of a primer to introduce the concepts behind these ideas and to perhaps pique the interest of readers enough to continue their own ressearch._
