---
date: "2021-03-08T19:23:00Z"
title: "Thoughts on minimalism, and what happens when I get mail"
description: "My processes for handling physical mail, receipts, and other paperwork."
tags: [100daystooffload, life, technology]
---

## Minimising possessions

Like many people I these days try and live a minimal life when it comes to possessions. Having more _stuff_ means there is a greater level of responsibility required to look after it. I love the principles involved in "owning less".

Although I am in a very different situation to [Pieter Levels](https://levels.io), I find the ideas behind his [100 Thing Challenge](https://levels.io/the-100-thing-challenge) (and [other related pieces](https://levels.io/tag/minimalism)) to be inspiring.

Although my home contains items that are technically mine - furniture, kitchenware, decorations, etc. - I consider these as belonging to the _house_ itself rather than as my personal belongings. Personal items are essentially the things I can fit into my backpack and are things I actually _need_ on a daily or weekly basis: my laptop, my phone, some of my clothes, my toothbrush, passport, and a few other smaller items.

Non-essential things - although a "luxury" - are also a _liability_ (and an anchor).

This also helps to keep emotional attachment out of ownership. I know that if I were to lose or break my phone, I could get another and continue on as before. The main concepts here for me are _portability_ and _replaceability_.

I consider my data and communications to be personal belongings, too. For example, emails I've sent and received, documents, images, and so on. Since these are all digital, I can just stick them on my Nextcloud (or [pCloud](/blog/2021/02/24/google-photos-pcloud)), and I can access them any time through my phone or laptop.

I also strive for digital minimalism too, where possible. However, since this data storage methodology is scalable and I can keep things very organised I don't mind holding onto data and documents should they be useful in the future. Even with thousands of stored documents, the collection is still _portable_ and it fits with my model.

## Mail and paperwork

Many of the world's organisations - including insurance companies, banks, lawyers, and public services - still love doing business with physical documents and through physical mail. Also, these are typically the types of documents you are supposed to keep hold of for long periods of time for the purposes of financial records, insurance certification, and so on. Over time this paperwork builds up and quickly becomes disorganised.

Some people keep boxes or filing cabinets of documents and mail. This turns into something else to be responsible for. It's not portable (in the "backpack" idea mentioned earlier) or replaceable. If there was a fire it would be lost, and if moving home it's something else to "worry" about.

Until a couple of years ago, I kept documents in ring-binders. My process would include holepunching documents (retro, I know), finding the section of the ringbinder most appropriate for that document, placing the document, and then putting the ringbinders back on the shelf.

I had years' worth of utility bills, insurance documents, bank statements, pay-slips, and more that I would need to bring with me whenever I moved and always ensure there was a phycial space for them in my life somewhere.

I began to realise that - for the vast majority of these documents - I would never really need the _original_ version. Apart from things like my passport and paper certificates containing security features, document _copies_ would be fine. And since I already had a system for storing digital documents, I could extend this to maintain a more organised (and searcahble) collection of digitised paper documents too.

## Digitising paperwork

Phone cameras these days are more than capable of creating high-quality digital replicas of paper documents. There are also many scanner apps and software available to make this easier.

I personally use [Scanner Pro](https://apps.apple.com/app/apple-store/id333710667) on my iPhone, which is very useful. It automatically detects paper edges (even documents with weird dimensions) and straightens the image sensibly too. It also has settings to help configure further; for example, I only need greyscale copies and not the highest resolution - both of these factors help decrease the size of the eventual file.

The official iOS [Files app](https://apps.apple.com/us/app/files/id1232058109) also has a "Scan Documents" feature, which looks pretty good. I've not used this extensively myself yet.

After downloading the scanner app, I went through my ring-binders and piled up all the documents to throw out - stuff I just didn't need any record of but had, for some reason, kept anyway. I then went through each remaining section in turn and scanned each document in - storing each PDF to my Nextcloud.

The process was surprisingly quick and by the end I had a nicely organised collection of files on Nextcloud and a large pile of paper documents I could throw out. As I mentioned earlier, about the only physical things I _did_ keep were certificates, my passport, and a handful of other items.

It was a weirdly therapeutic exercise!

## My process now

Jumping back to the present and my more minimalism-focused self, I am now very strict about what paperwork I keep. In fact, I don't think I've kept hold of a physical document that I've received in the last year (and probably longer).

I have a simple process:

1. I receive the document/paperwork and open it;
1. I use my phone to scan the document;
1. I sync the file to an `0 Unfiled` directory on my Nextcloud, titled by date, sender, and short subject (e.g. `2021-03-02_BritishGas_Statement.pdf`);
1. I throw the document out (shredding first if sensitive);
1. If the paperwork requires action, I either do so immediately or set a reminder to do so;
1. Once a month or so I go through my `0 Unfiled` directory and categorise properly according to my personal filesystem.

I use a "holding" directory (`0 Unfiled`) to make the process quicker (for example, if there are several documents to scan) and it ensures I have actually actioned the files once I come round to organising them later. I use a `0` at the start of the directory name so that it sits at the top of my filesystem root in order to improve efficiency (and I try and use the [Johnny.Decimal](https://johnnydecimal.com) concepts as much as possible).

I also use the holding directory for other important documents - such as email attachments I want to include in this system. To me, it doesn't matter which medium was used to receive the document: it's all just data to be categorised and stored.

It's a satisfying process. I now feel more organised, I can easily find a particular document - even from several years ago - without needing to trawl through piles of paper; I can ensure _longevity_ and _integrity_ of the data (i.e. it can't get torn or damaged); I can back the collection up with added _redundancy_; and I can easily view and share the documents from anywhere.

If you currently keep lots of paper records and are interested in minimising your physical footprint then I can recommend trying a similar process yourself.
