---
date: "2021-03-15T11:05:00Z"
title: "The Tildeverse"
description: "Why the Tildeverse is interesting and why you might want to join in."
tags: [100daystooffload, technology]
---

## The last twenty years of internet evolution

Although I was still somewhere between being of single-digit age and a young teen back in the '90s and early '00s, I still fondly remember discovering and becoming a small part of the flourishing community of personal, themed, and hobby websites that connected the web.

We were even given basic server space in school and the wider internet was thriving with [GeoCities](https://en.wikipedia.org/wiki/Yahoo!_GeoCities) and communities grew around services like [Neopets](http://www.neopets.com). Everyday, after school, we'd go home and continue our playground conversations over [MSN Messenger](https://en.wikipedia.org/wiki/Windows_Live_Messenger) (after waiting for the dial-up modem to complete its connection, of course). The internet felt small and personal (even if you didn't use your real name or identity) and _exciting_.

For those more tech-aware than I during those days there were also the established [BBS systems](https://en.wikipedia.org/wiki/Bulletin_board_system), [IRC](https://en.wikipedia.org/wiki/Internet_Relay_Chat) (which is still very much in active use), and several other types of available internet and communication services.

Over the years since then we've obviously seen the introduction and growth of tech companies, which have exploded into nearly every corner of the internet. Some have come and gone, but many are here still and continue to grow. We're now at a point where many of these services are almost a full "internet" (as it was back in the day) by themselves: on Facebook you can host a page for yourself or your business, you can engage with any nunber of other apps through your Facebook account, you can chat in real-time with individuals or groups of friends and family, and much more.

In the developing world, many people see the [internet and Facebook](https://medium.com/swlh/in-the-developing-world-facebook-is-the-internet-14075bfd8c5e) as being entirely analogous such that new mobile handsets are sold with the app pre-installed on their device and cellular carriers [sometimes provide free access to the platform](https://www.fool.com/investing/2020/05/22/facebook-expanded-internet-access-africa-1-billion.aspx) as part of their data plan.

This boom (invasion?) has completely changed the way the internet works for day-to-day users. Although these companies and their huge marketing teams have facilitated the growth of adoption of technology for community and communication, it has come at a cost. When using these services, the internet no longer feels personal and exciting.

For many people - particularly those who grew up with this state of the world or those who never fully engaged before Web 2.0 - this is fine and not a problem. They would likely laugh at the simplicity and "slowness" of the "old internet" compared to the flashy, speedy and engaging platforms they are used to interacting with for several hours every day.

## Community through the _Tildeverse_

However, there are also many of us who miss the _quality_ and _meaningfulness_ of the smaller and slower web. Since joining Mastodon a couple of years back, it's been great to be part of a movement that actively encourages the growth and maintenance of personal websites, blogs, distributed systems, and the self-hosted services that help promote these ideologies.

Movements and concepts such as the [Small Web](https://ar.al/2020/08/07/what-is-the-small-web), the [Indie Web](https://indieweb.org), and even initiaives like [Project Gemini](https://gemini.circumlunar.space) have all helped to raise awareness around the fact that there is still a large number of people interested in promoting the ideas around the [slow web](https://jackcheng.com/essays/the-slow-web), and building a real sense of _community_.

Also part of this movement is the notion of the _Tildeverse_. The [Tildeverse](https://tildeverse.org) draws some inspiration from [PubNix](https://www.pubnix.net) and stems from building community through "belonging" - similar to how one might feel when interacting with the [Fediverse](https://en.wikipedia.org/wiki/Fediverse).

The Tildeverse is an opportunity for people to _donate_ server resources by provisioning and managing a \*nix system (e.g. Linux, BSD, or similar), on which members of that _tilde community_ can have a user account that they can access using programs such as [SSH](https://en.wikipedia.org/wiki/SSH_(Secure_Shell)).

The name is derived from the fact that the tilde symbol (`~`) is used to denote a user's _home directory_ on UNIX-like systems that offer multiuser functionality (e.g. `~will`). On such servers, users can use their account and home directory to publish a website, a Gemini capsule, use tools to chat with other members via IRC or internal mail, or take advantage of any number of other services the server administrators may offer.

To join, it is recommended to first identify a community you feel you can contribute positively towards. Many servers don't require payment to join (although there are often options to make donations to help contribute towards the running costs), but it is usually expected that you help foster the sense of community by actively engaging with others, posting interesting or useful content, or by abiding by other "rules" that may be in place.

If you have found a community you'd like to join, a typical registration is often achieved by emailing the server administrators with your desired username and an SSH public key. If and when your registration is accepted, you can then use the corresponding private key to login and begin to engage with the community.

Many such communities, such as [tilde.club](https://tilde.club), list some of the users' home directories as webpages. This lets you get an idea of the community before choosing to join. Many homepages (though this isn't limited to the Tildeverse) include a _webring_, which you can use to navigate to other user websites belonging to the same webring.

Others, such as [tanelorn.city](https://tanelorn.city), are more focused on publishing Gemini content if this is more interesting to you.

Either way, I'd recommend browsing from [tildeverse.org](https://tildeverse.org) as a starting point if you're interested in getting involved. It helps explain some of the concepts and lists some of the Tildeverse _member_ servers.
