---
date: "2021-03-27T16:31:00Z"
title: "PinePhone and PineTime"
description: "Why I pre-ordered the PinePhone and a bit of talk about the PineTime, an open-source and hackable smartwatch."
tags: [100daystooffload, technology, pinephone, life]
---

## Pre-ordering the PinePhone Beta

Earlier this week I ordered a [PinePhone](https://www.pine64.org/pinephone), which recently became [available as a Beta Edition](https://pine64.com/product-category/smartphones).

I've been excitedly following the progress of the PinePhone for some time now. I've joined various Matrix rooms, subscribed to [blogs](https://linmob.net), and started listening to the [PineTalk podcast](https://www.pine64.org/pinetalk). The phone is a hackable device that runs plain old Linux - not an Android variant - and thus helps users escape from the grasp of the Google and Apple ecosystems.

Other similar devices exist - such as the [Librem 5 from Purism](https://puri.sm/products/librem-5) - however the unopinionated nature of the PinePhone, and its cost ($150 compared to the Librem's $800), make the Pine64 offering much more attractive to me.

I understand that the phone and software are still under very active development, and I fully expect that the phone is not yet ready to become a daily driver. However I am excited to try it out, support the project, and contribute where I can. The potential of this movement is huge.

## Some thoughts on PineTime

Whilst researching the PinePhone, I stumbled across the [PineTime smartwatch](https://www.pine64.org/pinetime). This is a wearable device also from Pine64, which aims to offer an open-source and hackable system in a similar vein to the PinePhone.

Pine64 offers the device for purchase but fully acknowledges that it is not yet ready for daily use, and encourages interested people to instead purchase the [Development Kit](https://pine64.com/product/pinetime-dev-kit) so that they can learn more or contribute to the project.

The device aims to offer health tracking solutions (since it includes a step counter and heart rate detector) and notifications, and so the intention is for it to offer a similar experience to other smart watches - except with much more freedom.

The open and community-driven nature of the device could take it any number of ways.

> We envision the PineTime as a companion for not only your PinePhone but also for your favorite devices — any phone, tablet, or even PC - pine64.org/pinetime

This vision seems to embody the Pine64 philosophy that we see across all of their products. I'm not the right person to be able to contrubute much to the project in its current stage (I don't have much experience with developing on embedded operating systems), but I look forward to seeing how it progresses and hopefully getting more involved slightly further down the line.
