---
date: "2021-04-12T21:38:00Z"
title: "Six months of Invisalign"
description: "How my Invisalign treatment went: the process and my thoughts."
tags: [100daystooffload, life]
---

Back in November I started an [Invisalign](https://www.invisalign.com) course to help straighten my teeth. Invisalign works like traditional braces, but is instead formed from transparent teeth "trays" that others can only really notice up-close. Given my personal situation, this seemed like a better approach than the traditional metal braces.

![My Invisalign goodie bags](/media/blog/invisalign.png)

In all honesty, my teeth weren't that bad to begin with but - like many people - as I got older I was beginning to notice a little more "crowding" (where teeth bunch together and start to move out of place). Invisalign was something I had wanted to try for a while, and whilst the UK was in lockdown and I couldn't see anyone anyway, it felt like a good time to go ahead with it.

# The process

I had a couple of initial appointments with my dentist just to ensure I was dentally fit for orthodontic work and in order to take a scan of my teeth. The scan was cool - it showed exactly what my teeth looked like and the software then uses the result to design a series of aligners that would bring the teeth back into line. I also got access to a website on which I could see how my teeth would be moving over time.

After my scans, I went back to the dentist a couple of weeks later in order for some attachments to be added to my teeth and to collect my newly-manufactured aligners. In total I was given 22 sets of aligners, with the aim being to start with set number 1 and then proceed to the next one each week - every change in aligner gradually moving the teeth into line.

I was also given a scanbox, into which I could place my phone in order to submit photos of my teeth every week through an app to my dentist. This enabled him to track the progress each week and to ensure I moved onto the next aligner set at the right time.

For the next two-three months I wore my aligners for 22 hours each day. Every week, I scanned my teeth and was instructed to move onto the next set of aligners in order to progress the treatment. In February I had to go back to visit the dentist in order to have some additional filing between some of my teeth so they could move into position properly.

I then continued for another few months - until today. I completed my last set of aligners last week and had a check-up this afternoon to see how things went. I was pleased with the result, and we agreed that no more movement was needed. My dentist removed the attachments from my teeth and we ordered the retainers, which I will need to continue to wear full-time for a few months and then beyond that just at night - in order to ensure things stay in place.

# My thoughts

In general, the process was super easy. For the first few days of the treatment I didn't think I would be able to keep it up for six months - the aligners felt pretty uncomfortable and can be a little painful for a couple of days every time I switched to a new set. Also, the extra work needed when brushing my teeth and having to remove the aligners between meals seemed inconvenient.

However, after a few weeks it all became second nature. It now feels weird when I don't have them in!

The treatment is also quite expensive. However, it is cheaper (I think?) than traditional braces, it's a shorter treatment period, and I preferred to have the almost-invisible aligners rather than metal braces in front of my teeth.

In addition, given that the sets of post-treatment retainers included in the treatment plan last for years, it feels like the treatment is a "one off" (🤞) - as long as I keep wearing the retainers properly then the teeth should now stay in place.

All in all, it was (and is still) a good experience and I am glad to have done it.
