---
date: "2021-04-27T21:00:00Z"
title: "Starting out with the Pinephone"
description: "My initial plans with the Pinephone."
tags: [100daystooffload, technology, pinephone]
---

As you may know, I [recently purchased the beta edition of the Pinephone](/blog/2021/03/27/pinephone-pinetime). It arrived last week in the _Pinephone Beta Edition_ box shown below.

![Pinephone beta box](/media/blog/pinephone.jpg)

As mentioned in my previous post on the subject, I bought the phone for purely experimental purposes, to get involved in the community, and to be a part of the freedom and Linux-on-phone movement.

I fully understand that the device is not yet really considered ready for every-day reliable production use (especially when compared to my current iPhone 11 Pro Max). However, [the Pinephone](https://wiki.pine64.org/index.php/PinePhone) is less than 20% the price of my iPhone, and comes with the freedom to do so much more - without the restrictions of Apple's "walled garden".

However, I am very excited to see what _can_ be done with it. At the end of the day, it's just an ARM-based _computer_ with support for running mainline Linux and the added benefit of having cellular capabilities to make phone calls and handle data connections.

It's also super easy to try out different [operating systems](https://wiki.pine64.org/wiki/PinePhone_Software_Releases) by simply `dd`-ing to an SD card - much easier than the tedious root-recovery-flash song and dance often required in the Android ecosystem.

# The next few weeks

Anyway, I'm going a little off-topic. My initial plans aren't to try out new operating systems just yet (although I am excited to try). Instead, I'd like to spend the first few weeks tinkering with the out-of-the (beta) box underlying system and seeing how well it _does_ handle my day-to-day tasks on an as-is (i.e. without needing to change SD card) basis.

The beta edition comes pre-installed with [Manjaro Linux](https://manjaro.org) on the eMMC along with the [KDE Plasma Mobile](https://www.plasma-mobile.org) desktop environment, so this is what I'll stick with for now. Upon initial boot-up I can already see that it comes pre-installed with some useful packages (e.g. Telegram messenger and the [Megapixels camera application](https://git.sr.ht/~martijnbraam/megapixels)).

However, below is a list of day-to-day tasks I can do on my current phone and which I will try and accomplish using the device over the next few weeks.

- Basic calls and texts.
- 4G cellular data connectivity.
- WiFi connectivity.
- Bluetooth connectivity (including headphones).
- Photo- and video-taking using both front- and rear-facing cameras.
- Web browsing.
- Podcast subscribing, listing, and listening.
- Audiobook downloading and listening.
- Music-playing (preferably through Spotify).
- Mastodon (tooting and reading my timelines).
- Twitter.
- RSS (viewing my feeds from my FreshRSS server).
- Email reading and sending.
- Telegram messaging.
- Password-management.

I've purposefully kept a couple of things off this list - including Whatsapp, my bank's app, and some enterprise apps I use for work - since these systems are proprietary in nature and so would not be fair to expect of the phone. One could argue that this impacts its viability as a daily-driver, however that is not my current goal. Presently I am just looking to see how well some basic tasks can be accomplished before trying to take it further to be fully useful for daily use.

I also want to document the journey for myself and others wanting to get involved in this project.

Projects like [Anbox](https://linmob.net/2020/08/15/anbox-on-the-pinephone.html) look like potential routes for getting additional things working when needed in a pinch. However I'll save that for another time.

# Next

Check back in a few weeks to see how I get on. If you have any advice for starting out in this way then please let me know!

After this initial period I will look to try out other shells and underlying systems. The [ARM Arch with Phosh project](https://github.com/dreemurrs-embedded/Pine64-Arch) looks like a good start point for when I come to this.
