---
date: "2021-05-04T18:44:00Z"
title: "Go Time"
description: "Some thoughts on the Go Time podcast."
tags: [100daystooffload, technology, podcast]
---

I listen to a number of podcasts each week. One of these is [Go Time](https://changelog.com/gotime).

![Go Time logo](/media/blog/go-time.png)

The Go Time podcast releases episodes every Thursday. Its format is mostly comprised of panel discussions and interviews with founders and specialists in the community about the [Go programming language](https://golang.org). Episodes are usually between 60 and 90 minutes long.

I don't program in Go a lot myself these days, though do have one or two older [projects](/projects) written in the language. However, I feel that the content is often broadly relevant for non-full-time gophers - like myself - also.

The episodes include discussions around a diverse variety of topics - such as testing, networking, web-apps, tooling, startups, programming principles, and much more. Many of these concepts are interesting to gophers and non-gophers alike, as they touch on the broader problems as well as to dicuss how Go can specifically be used to solve these problems.

Recently I have started using the [Rust language](https://www.rust-lang.org) more and more, and particularly on [this side project](https://git.wilw.dev/wilw/capsule-town) which I have used as a mechanism for learning the ins-and-outs. Although the two languages (Go and Rust) are by no means the same, they do share a small number of similar attributes and I have found that the Go Time podcast has often touched on topics relevant to both languages.

Episodes also feature interesting guests from a variety of backgrounds - from specialists in the community through to startup founders. Hearing their stories is always great. Additionally, the show hosts are engaging and add light-heartedness to what can be deep technical conversations.

If you're a programmer, and even if not a gopher yourself, I recommend checking out a few of the episodes to see if you agree.

It should come up in your podcast app if you search for "Go Time". I use [Overcast](https://overcast.fm) on iOS, and if you do also you can subscribe at [this link](https://overcast.fm/itunes1120964487/go-time).
