---
date: "2021-05-12T19:20:00Z"
title: "Running"
description: "Workouts, adopting a dog, and getting back into running."
tags: [100daystooffload, life]
---

## The effects of working from home

The UK went into its first proper COVID-induced lockdown back around March time last year. At this time, our company locked its office doors and we all began working from home. We're now all still working remotely about 14 months later and will continue to do so for the forseeable future.

Before we closed the office, I used to walk across my city - Cardiff - to get to work. It's about a 3km walk, which would take me about 30 minutes to walk each way. I enjoyed the walk - I could stop for coffee on the way through, and the distance meant I could take different routes on different days if I wanted a change of scene.

![Walking through Cardiff](/media/blog/running1.jpg)

Now, and since last March, my daily commute simply involves me walking down the stairs to the corner of my living room that is my home "office". Whilst it is definitely convenient (and I would certainly prefer this to full-time back in an office), it had its downsides.

For the first few weeks, I just felt _lazy_. I was working hard (we all were, and were performing great as a remote team), but my body almost craved that morning walk. The walk was time that enabled my mind to sort itself out ready for the day of work, meetings, decisions, and everything else.

Without that walk time I felt my work starts were slower, and I was more easily distracted in the mornings. To try and alleviate this a little, I began walking around a park near me each evening after work - this definitely helped me wind down and the effects lasted until the following day.

## 🏋️‍♂️ Workouts

Around the same time I began working from home full-time, my brother told me about an app - [Fitbod](https://fitbod.me) - that aims to be like a mini personal trainer. It's not the only app of its type around, but it caught me at the right time.

I thought that having an additional exercise goal each day - as well as the evening walk - would help in making me feel more invigorated. I began using it in the afternoons after I had finished my main work for the day (before my walk).

Daily workouts, just simple ones at home following the app's instructions, definitely had a positive effect on my mental wellbeing - it felt almost like personal meditation time for me.

It wasn't long before I switched the routine to morning workouts (before work or after my first meetings of the day). This definitely helped my work too. I've been doing the same thing ever since (I think I've only missed 10 or so days of workouts in total for the whole of the last year).

## 🐶 Adopting a dog

In early December we adopted a dog, and this flipped things on their head a bit. Suddenly control over my own life changed slightly, as I now had someone to be responsible for and think of - at many times before myself. I'll write more about my dog in a later post, but will move on back to exercise for now.

Since getting the dog, I no longer had times for nice leisurely walks after work or workouts in the morning. I now had a new member of the family that needed to be walked once or twice a day, and entertained during the times at home.

People who tell you that you do more exercise when you have a dog are lying. When "walking" him, my time is spent mostly standing around whilst he runs and plays with his friends in the park. It's the only way he can get real exercise - walking him on a lead on my usual walk (especially a dog with as much energy as mine!) just does not give him the exercise he needs.

I wanted to find a way to maintain my level of exercise whilst also giving me the time to go to the parks for 1-2 hours each day to allow my dog to run around properly off the lead. (Note: we live in a city, and it's not very convenient to have to drive out to countryside trails every day).

## 🏃‍♂️ (Re-)starting to run

Some of the people I met in my local dog-walking friend group are quite heavily into running. I used to love running in my mid-20s, and would jog 15km or so three times a week. I was put off as had been told by some people that it can have long-lasting damage on knees and other joints, and so I stopped for several years.

Coincidentally I had recently been doing research about the long-term effects of running, and the results are mixed; some studies indicate what I had heard from others (about joint issues), but many talked about the benefits of building leg muscles and how this might even protect the joints. It also turns out that running properly and with good equipment (i.e. trainers) also makes a big positive difference.

I thought that running could be a good replacement for my walk and some of my workout time - it burns the calories, helps maintain fitness, and has many positive psychological effects too. Especially if I could do it a few times a week.

The dog-walking friends mentioned a shop nearby that could run some gait analysis with me and suggest running trainers most appropriate for me. I booked an appointment, ran the analysis, ordered the trainers, and within a week had them collected and at home.

## The first few weeks

I'm now about three weeks back into running, so I thought I'd report on how it's going.

I thought I'd be much more of a mess than I actually am. I'm by no means quick (I do about 5:30 minutes per km on a good day), but I'm getting faster and definitely feel more fit. There's certainly some muscle memory there still after all of these years.

I run an average of three times per week, and go about 6km each time. I run first thing in the mornings before doing my workout, and then work. This then gives me the time I need to give the dog a chance to run around after work.

On the days I don't run in the morning, I instead go for a 30 minute walk with the dog.

The routine is good (I ❤️ routine), I get the same (if not more) exercise than before, and my dog gets more running time too. It means I need to get up earlier in the morning (more about that in a future post), but I actually quite enjoy that.

The main thing is that I no longer feel the _laziness_ I felt before. I start work with a good hour's worth of solid exercise done every day, a nice cup of coffee, and much more focus.
