---
date: "2021-05-26T21:50:00Z"
title: "The H.G. Wells Classic Collection"
description: "Some thoughts on a collection of sci-fi books by H.G. Wells."
tags: [100daystooffload, book]
---

The [Classic Collection](https://www.goodreads.com/book/show/7069333-h-g-wells-classic-collection-i) of [H.G. Wells](https://www.goodreads.com/author/show/880695.H_G_Wells) novels contains five well-known stories: _The War of the Worlds_, _The First Men in the Moon_, _The Time Machine_, _The Invisible Man_, and _The Island of Doctor Moreau_.

![The cover of the H.G. Wells Classic Collection](/media/blog/h_g_wells.jpg)

Despite the fame of these novels, I had never read any of them until I recently listened to them via the [audiobook version](https://www.audible.co.uk/pd/HG-Wells-The-Science-Fiction-Collection-Audiobook/B07PP8N213), which was excellently narrated by the likes of David Tennant, Hugh Bonneville, and others.

Wells is famous for being an early sci-fi writer (indeed, he is known as the 'Father of Science Fiction'), with his first such book - _The Time Machine_ - being published in 1895.

Books in this collection have formed the basis of both classic and modern films - perhaps most notably _The War of the Worlds_ (published as a novel in 1898) and _The Invisible Man_ (1897).

I'm a big lover of science fiction and it seemed sensible to go back to what can be seen as its birthplace. I really enjoyed the collection - each novel is thought provoking and engaging. The novels aren't long and the stories progress quickly, which helps to add to the excitement.

Although quite light-hearted seeming (in a classic Wellsian and British fashion), and often humorously written, the stories do go into interesting detail around the science and methods behind the phenomena that form the plots. From discoveries of new materials in _The First Men in the Moon_, descriptions of interesting physics in _The War of the Worlds_, and the effects of chemicals on human physiology in _The Invisible Man_, Wells certainly explores the scientific depths whilst also leaving some to the readers' imaginations.

In many of the books there is a significant level of human self-reflection as part of the story, which I think definitely helps place the stories ahead of their time. Whether talking about alien life, or life at a different point in time, there is definitely a sense of Wells projecting the position of humans in their new contexts, and the characters spend time either thinking or talking about themselves, their achievements (or failures), which gives the notion of humility with regard to human ability.

To me, _The Island of Doctor Moreau_ stands out as being a little different from the others. Although it is certainly science fiction and is a well-known and acclaimed novel, I found the story's concepts a little strange and did not enjoy it as much as the rest of the collection.

Either way, if you are interested in science fiction I would strongly recommend this collection of novels and enjoy the basis of - at the time - what would become countless further books and films often based on the same ideas and similar concepts.
