---
date: "2021-07-27T17:55:00Z"
title: "Capsule.Town"
description: "Free, easy, and FOSS gem capsule hosting."
tags: [100daystooffload, technology, gemini, project]
---

The Gemini protocol has gathered even more momentum in the few months since I [last posted about it](/blog/2021/01/20/project-gemini).

Its popularity is largely driven by its privacy-focused and content-oriented design. It doesn't allow for bloated sites or resource-hungry client-side scripting. It's a means for simply and easily accessing content that is useful to you - either by hosting a capsule yourself or by joining an existing community.

In this post I am introducing Capsule.Town - a way in which I can try and give back to the FOSS community.

Capsule.Town (accessible using your Gem client by visiting [gemini://capsule.town](gemini://capsule.town) or through your web browser via a [web proxy service](https://portal.mozz.us/gemini/capsule.town)) is a means for easily and safely hosting your Gemini content.

![Capsule.Town logo](/media/blog/capsuletown.png)

It's a free service for publishing your own Gemini capsule. Currently this gives you a subdomain at the `capsule.town` domain, but I hope to later add support for bringing your own domain. No registration is required, meaning you can get started straight away without needing an email address or username.

All of the code is [open-source](https://git.wilw.dev/wilw/capsule-town) and distributed under the BSD 2-clause license. This is aside from the Gem server itself, which is built on top of the [Agate project](https://github.com/mbrubeck/agate).

The recommended approach is to download the binary for your system, and use this to publish your capsule. To get started, visit [gemini://capsule.town/start.gmi](gemini://capsule.town/start.gmi) (or the [equivalent via the web](https://portal.mozz.us/gemini/capsule.town/start.gmi)) and follow the instructions.

Whilst other free services exist that also allow you to host Gemini pages, the aim with Capsule.Town is to create a Netlify-like process for quick and easy publication of content.

Feel free to give it a try. If you have any questions or problems, just get in touch.
