---
date: "2021-08-09T17:51:00Z"
title: "Pinephone update: the first few weeks"
description: "The first few weeks with a Pinephone: thoughts and experiences."
tags: [100daystooffload, technology, pinephone]
---

[Back in April](/blog/2021/04/27/pinephone), I bought a [Pinephone](https://wiki.pine64.org/index.php/PinePhone). I used the phone quite consistently for the first few weeks and I meant to write an update here a couple of months back, but work (and [other things](/blog/2021/06/10/married)) got in the way a bit.

So, here is my delayed "first few weeks with a Pinephone" update.

As mentioned, I initially aimed to simply use the phone in its out-of-the-box state (i.e. Manjaro Linux with KDE Plasma Mobile) - not as a daily driver, but more as a means of measuring the phone's base case usability. However, hopefully with an aim to eventually being able to use such a device more full-time.

## Overall impression

Generally, I've really enjoyed using the Pinephone. I mean, it is slow (compared to other modern phones), apps take a good few seconds to open, and the UI freezes every now and again. However, things are moving quickly - there are other OS builds and desktop environments available to try.

It is encouraging to see successes from the base shipped version of the device. For example, below is a picture of my dog that I took today using the Pinephone.

![A picture of my dog - taken on Pinephone](/media/blog/pinephone_b1.jpg)

## What did I try?

In my [previous post](/blog/2021/04/27/pinephone), I outlined a few areas and day-to-day tasks I wanted to try and accomplish. I'll evaluate against each of them (so far!) below.

- **Basic calls and texts:** ☑️ worked out of the box. The Pinephone accepted my SIM card and connected without issue.
- **4G cellular connectivity:** ☑️ worked out of the box. Drops out every now and again, requiring a reconnect.
- **WiFi connectivity:** ☑️ worked out of the box, automatically connects.
- **Bluetooth connectivity (including headphones):** ☑️ worked without issue, was able to connect and play through my Airpods Pro. Airpods-initiated pause/play also worked!
- **Photo- and video-taking using both front- and rear-facing cameras:** ☑️ ⚠️ taking photos works fine using the [Megapixels](https://git.sr.ht/~martijnbraam/megapixels) app (though does require an app restart for the camera to activate properly), videos not yet present.
- **Web browsing:** ☑️ works great, using the shipped [Angelfish](https://apps.kde.org/en-gb/angelfish) browser.
- **Podcast subscribing, listing, and listening:** ☑️ Works great using the [Podcasts](https://flathub.org/apps/details/org.gnome.Podcasts) app. Could subscribe to all my podcasts. Only thing I couldn't get working is changing the playback speed (though this I think is just a UI bug as the setting is there).
- **Audiobook downloading and listening:** ☑️ I use Audible still as I am not aware of a good DRM-free audiobook retailer, however there are tools to convert the Audible AAX files you own to MP3 for DRM-free playback. [AAXtoMP3](https://github.com/KrumpetPirate/AAXtoMP3) looks like it does the trick.
- **Music-playing (preferably through Spotify):** ☑️ Works fine using the [Spot](https://flathub.org/apps/details/dev.alextren.Spot) app. Can access playlists and play music (ironically the Spot app is more responsive than the Spotify app on my iPhone!).
- **Mastodon (tooting and reading my timelines):** ⚠️ [Tootle](https://flathub.org/apps/details/com.github.bleakgrey.tootle) looks great, but I have been unable to fully use it. (I can't for the life of me get copy/paste to work properly, and so I cannot copy the authorization code to login). But it works via the web.
- **RSS (viewing my feeds from my FreshRSS server):** ☑️ Working fine using the [NewsFlash](https://flathub.org/apps/details/com.gitlab.newsflash) app (connected via the [Fever API](https://feedafever.com/api) to my existing [FreshRSS](https://www.freshrss.org) server).
- **Email reading and sending:** ☑️ worked OK using [Geary](https://flathub.org/apps/details/org.gnome.Geary). Unable to login to my Google Mail accounts, but others worked.
- **Telegram messaging:** ☑️ Worked with no problems.
- **Password-management:** ⚠️ Could not get working: the available Bitwarden app does not scale small enough to enable me to login. But promising it exists in the store.

![A screenshot of the Podcasts app listing some of my subscriptions](/media/blog/pinephone_b2.png)
**_Above: a screenshot from the Podcasts app listing some of my subscriptions._**

## Moving forward

Clearly the Pinephone is capable of fulfilling most of my every-day mobile device needs - right out of the box. As I say, the device is a little slow and crash-prone (_currently_) to use fully as a daily driver. Additionally, the issue I'm having with Bitwarden and copy/paste makes accessing some services tricky.

However, this certainly feels like it's just the start. I am excited to give [Phosh](https://puri.sm/posts/phosh-overview) a go and to get involved further in the [Flathub](https://flathub.org) ecosystem to see if I can improve on the functionality and usability. I'll update again soon!
