---
date: "2021-08-13T17:13:00Z"
title: "Treadl"
description: "About the Treadl weaving patterns project."
tags: [100daystooffload, technology, project]
---

I don't tend to talk much about the [projects](/projects) I'm working on, but thought this would be a good opportunity to write a post about one such project - [Treadl](https://treadl.com).

Treadl is a web app (and more recently and less popularly a mobile app too). It enables [weavers](https://en.wikipedia.org/wiki/Weaving) to create and store their weaving patterns and projects online. This could be simply for personal use, or for sharing projects with others as a portfolio.

![Treadl's project view, listing some files and weaving patterns](/media/blog/treadl1.png)

The platform also allows for groups to be created, in which weavers can come together to discuss and share ideas (e.g. as part of a class or weaving group). Weavers can set up their individual profiles in order to tell others a little more about themselves. Users can also comment on other people's projects and creations.

Treadl is compatible with the Weaving Information File (WIF) file format standard. This means that patterns created in other weaving software (such as [Fiberworks](http://www.fiberworks-pcw.com)) can be imported into Treadl. Likewise, Treadl also allows for exporting patterns in WIF format to be imported into other compatible software.

I myself am not a weaver. However, my mother is, and having a space where she and her different groups of weaving colleagues can design and store their patterns and drafts - along with engaging with each other socially - is useful. She initially had the idea for the platform and most of the feature ideas came from her!

![Treadl's patten-editor screen](/media/blog/treadl2.png)

Treadl is free to use as a means of giving back to the community. I had initially planned to create some paid-for features to help cover some of the ongoing hosting costs, but I have parked those ideas for now.

The project is written in [React](https://reactjs.org) on the front-end, and Python on the back-end. The mobile app (which is mainly useful for the groups functionality) is written in [Flutter](https://flutter.dev).
