---
date: "2021-08-20T16:18:00Z"
title: "Starting out with BookWyrm"
description: "My initial experiences with BookWyrm."
tags: [100daystooffload, technology]
---

For several years I've been a user of [Goodreads](https://www.goodreads.com). It's a very popular platform, and I primarily use it for keeping track of the books I've read, for receiving suggestions about new books, and for keeping up with what some of my friends are reading.

It's a good service (though sometimes a little slow) - the website and mobile app are nice to use. However, as with any closed system, it's always a worry of mine to think about what might happen if the service were to disappear or if I were to get locked out for some reason.

More recently I've been watching the progress and development of [BookWyrm](https://github.com/mouse-reeve/bookwyrm) - a decentralised and federated (through [ActivityPub](https://en.wikipedia.org/wiki/ActivityPub)) social reading platform. As such it can co-operate with other "fediverse" services, such as [Mastodon](https://joinmastodon.org). The platform aims to allow users to record their reading activity, reviews, and follow others.

The [Join BookWyrm](https://joinbookwyrm.com) website advertises some known [instances](https://joinbookwyrm.com/instances) on the web. Although I understand the underlying technology project powering these instances is still in its relatively early stages, I was excited to try one out for myself.

I signed-up to the [bookwyrm.social](https://bookwyrm.social) instance and set up my [profile](https://bookwyrm.social/user/wilw).

![Importing titles from Goodreads](/media/blog/bookwyrm1.png)

In the short time I've been using it, I've found the interface to be clear and focused (without all the extra bloat Goodreads comes with). I was even able to import my Goodreads data (after exporting it first as a CSV). The website scales nicely so that it's also highly usable on my phone's browser.

It feels safer to be using open-source software for managing another piece of my online data footprint, and it's great to become more involved in the decentralised movement and community.

I've already discovered some ineteresting "to-read" books. I look forward to exploring more over the coming months, and to continue seeing how the project develops.
