---
date: "2021-09-02T19:58:00Z"
title: "SSO Tools"
description: "An introduction to my SSO Tools project."
tags: [100daystooffload, technology, project]
---

Another [project](/projects) I try to maintain (when I can!) is [SSO Tools](https://sso.tools).

This is a simple web service that aims to help developers test their own services' single sign-on (SSO) functionality. The motivation behind the project was that many commmercial offerings were too expensive for solo developers, or just far too complex for simple testing.

SSO Tools aims to provide a simple interface, with functionality that allows for registering identity providers (IdPs), test IdP users, and service providers (SPs). It is targeted at developers looking to quickly, yet robustly, test and iterate on their SSO setup in their applications.

![The IdP users interface for managing user attributes](/media/blog/sso_tools_1.png)

The IdP users can be configured with custom attributes to allow for observing how a service provider application behaves when receiving different attributes.

Currently SSO Tools allows for testing SAML2 configurations, and supports both SP-initiated and IdP-initiated login for SSO. It also supports single-logout functionality, in which the user is automatically logged-out of the IdP when the user logs out of a connected service.

![Viewing SAML2 setup details](/media/blog/sso_tools_2.png)

SSO Tools is offered as a free service. I needed something myself when building out a SAML2 service provider, and thought the features could be useful for others too.

If you'd like to help or get involved in the project then I'd love to hear from you.
