---
date: "2021-09-07T14:25:00Z"
title: "Twitter is still too addictive"
description: "My problem with Twitter, and how I plan to measure Twitter's usefulness."
tags: [100daystooffload, life]
---

**TL,DR; I'm starting a Twitter diary to log interesting findings, and to measure its value to me.**

Twitter is pretty much the last bastion of mainstream centralised social media that I use (aside from messaging services like Whatsapp and Telegram).

Although I primarily use Mastodon for my every-day social networking, which is more focused on the things I am actually interested in, I always kept Twitter around too as an app on my phone. This is because every time I try to remove it, I quickly feel as though I must be missing out on _something_. It always felt as though some news or useful announcement would go unnoticed.

However, over the past few weeks and months I've found myself once again often getting into endless and mindless Twitter scrolling sessions. I feel as though I rarely come out of these with any positive gain, and then get frustrated with myself for wasting time.

One might ask what is is that I get out of Mastodon, and why this is time more usefully spent than on Twitter. This equally then may lead to thoughts along the lines of _"you're just not following the right people"_. This is a fair comment, but curating a following list should be an interesting and pleasurable experience. This feels to be no longer the case on Twitter.

Beyond this, there's also the notion of the algorithmic timeline (tweets you may have missed, or which Twitter thinks you should see again), as well as the pseudo timelines you're force-fed around the "likes" of those you follow.

This is seemingly at random, but I imagine it is massively under the control of "the Twitter _algorithm_" to the extent where what was once an innocent and useful bookmarking feature now becomes a game of retweet roulette.

More and more I even see cases of tweets injected into my timeline from users that are followed by the people _I_ follow  - this is two hops through the social graph but without explicit retweets or likes from those that I directly follow. Given Twitter's own [3.4 degrees of separation](https://www.aaai.org/ocs/index.php/SOCS/SOCS11/paper/view/4031) (and that paper is from 10 years ago already), what is the point of choosing who to follow?

On top of these "features" are the seemingly-newer "topics you may like" feature and, of course, the adverts.

The image below shows my Twitter home feed containing three tweets (the first and last cannot be fully shown due to the size of my phone screen). None of these tweets are from people I follow; the first is an ad, the second is advertising a "topic", and the last is a "like" from someone I do follow.

![Twitter screenshot showing my homefeed containing three tweets from people I don't follow](/media/blog/addictive_twitter_1.png)

All of this boils down to the fact that choosing who you follow becomes less and less impactful on the information you actually receive on Twitter. The only reason for this is that it makes the platform more addictive (as I've experienced) _so that_ you spend more time on it _so that_ Twitter makes more money from you viewing the ads. Although there are other apps available that try to bypass some of these "features", it doesn't feel right to give the service more of my time without getting anything useful out of it.

## Anyway, /rant over. What am I going to do about it?

It's time to qualify what Twitter actually _does_ offer. I've started a sort of Twitter "diary", in which I plan to log takeaways from my time on the platform. If I find myself on Twitter (as I often subconciously do, even having removed it from my homescreen), I will note useful or meaningful learnings or findings in the diary. I'll also include humorous and phatic content, since a laugh always feels constructive (to me, anyway).

After a few weeks, I'll assess the diary and measure any learnings against whether I could have learned the same from other sources (e.g. my RSS feeds or Mastodon). 
