---
date: "2021-09-25T19:10:00Z"
title: "Two months with Duolingo"
description: "My experiences with using Duolingo to learn Spanish."
tags: [100daystooffload, life]
---

## English speakers' privilege

I've always been crap at learning languages. From an early age my parents would encourage me to learn French, and I picked up Spanish and German at around the GCSE level too (exams we take around the age of 16 in the UK). But things just didn't really ever sink in.

Part of this would have definitely been down to a childhood unappreciated privilege of understanding English as a first language. As I moved more into the technology domain to follow my interests (and then later for education and work), I was lucky that everything I needed was also in English (from programming languages, technologies, documentation, and more) - of course driven primarily by the US big-tech sector.

When I used to play online games as a teenager I'd chat to people who'd never even been to an English-speaking country, yet their grasp of the language far exceeded even my own as a native speaker. When I went to university, and more specifically in my post-grad studies, I met people from around the world and everyone would easily be able to speak to each other in English. Even if everyone in my student group spoke another language more fluently, they'd use English for my benefit.

Whilst these were, of course, acts of kindness, I would always feel embarrassed, uncultured, and often just plain ignorant. Here were people who had made an active effort to learn (at least) one additional language on top of everything else they had going on in their lives as children, teenagers, and young adults. Personally, I could just about tell someone the location of the local library in Spanish (and perhaps order a few drinks), but that was essentially my limit.

Over the past few years I've been spending a bit more time in Spain - encouraged mainly by an increased family presence there. This summer I made the decision to actively try and increase my Spanish language ability so I could do more than simply "get by".

## Duolingo

Shortly before [Duolingo](https://www.duolingo.com) [went public](https://www.sec.gov/Archives/edgar/data/1562088/000162828021013065/duolingos-1.htm) earlier this year, I re-downloaded the app (having used it briefly for Welsh a few years back) and committed myself to it by purchasing the [Plus membership](https://www.duolingo.com/plus). I know there are other players in the space (such as [Babbel](https://babbel.com)), but some of my family were already using Duolingo and I thought the social aspect might keep me more motivated.

Since July I've used the app every day to learn Spanish, and whilst some of it seems familiar from my school days, I've learned a huge amount in the relatively short time I've been using it.

Things just seem to sink in much more. Sure, it gets a little repetitive, but the logic and the syntax of the language has become much more clear to me in a way that it never did before. The tips that go alongside each set of lessons explain things succinctly and with good examples.

![My phone's battery usage interface, showing Duolingo at the top](/media/blog/duolingo.png)

The app has quickly become pretty addictive (though in a way that I don't mind), and is probably my most-used application (certainly by "battery time", as shown in the image above!). The "lightning" rounds (where you have to complete a lesson in a fixed amount of time) are super-fun and the "legendary" lessons (where you get three "lives" with which to prove you understand the latest learnings) add lots of extra tension.

It's a way of learning that I didn't expect to be so engaging and effective - for me, at least. It seems as though this model of learning is flexible enough to be used to teach other fact-based subjects, such as history or geography (or even science). It's also elastic enough to support _personalised_ learning, adapting well to the user's own pace and ability.

Whilst it tries to encourage listening and speaking the language too, and also includes "audio lessons", it's very much focused on literacy and understanding. I think I would still struggle to hold anything more than a very basic conversation, but having the foundation in place (and a bit of confidence to try it out more when out and about!) will I hope help with this.

I look forward to continuing my learning!
