---
date: "2021-10-02T15:04:00Z"
title: "Pinephone: Manjaro and Phosh"
description: "My experiences with Phosh on the Pinpehone."
tags: [100daystooffload, technology, pinephone]
---

It's been a few weeks since my [last post](/blog/2021/08/09/pinephone-first-few-weeks) about the Pinephone. Since then I have been playing further with a different graphical shell and have been trying out new applications.

In that previous post, I noted a few points that made the phone tricky to use as a daily-driver. However, it should be noted that this was (intentionally) based purely on the phone's out-of-the-box configuration. I fully meant to continue exploring and to discover ways in which the device could become more of a useful daily use phone for me. This post forms part of that journey.

## Installing Manjaro with Phosh

Over the past few weeks I have been playing more with the [Phosh](https://puri.sm/posts/phosh-overview) graphical shell, still running on Manjaro. Phosh is developed by [Purism](https://puri.sm), primarily with the aim of creating a useful mobile shell for their [Librem 5](https://puri.sm/products/librem-5) phone.

To install this system on the Pinephone, I [downloaded the appropriate image](https://github.com/manjaro-pinephone/phosh/releases), `dd`'d the image to an SD card (as described [in the Pine64 Wiki](https://wiki.pine64.org/index.php/PinePhone_Installation_Instructions#Installation_to_the_microSD)), and booted the phone from the SD card.

The [boot priority](https://wiki.pine64.org/index.php/PinePhone_Installation_Instructions#Boot_priority) of the device dictates that the phone will initially try and boot from the SD card by default, which is handy if you have a few SD cards lying around with different configurations (like me!).

Once booted, the default user (`manjaro`) has the password `123456` - this allows for unlocking the device from the lock screen.

## Initial impressions

The first thing that struck me is the speed and responsiveness of the new shell. It is significantly faster than the default Plasma Mobile interface - both in terms of application launch time and in general touch responsiveness throughout the UI.

This enhancement alone makes the device much more of a pleasure to use; following my intentions in real-time.

## Application usability

Applications that were previously unusable, due to scaling, now seem to work much better. For example, Bitwarden (installed through the "Software" package) now scales much more nicely to the phone's screen, allowing me to properly login (as shown in the image below).

![Bitwarden login screen shown on Pinephone](/media/blog/pinephone-phosh-bitwarden.jpg)

Another key improvement is the ability to copy and paste text between applications. I just could not get this to work under Plasma Mobile (maybe this was just me?), but this change now lets me copy and paste passwords from Bitwarden, and also allows me to copy login tokens from a browser.

![Firefox web browser showing a context menu allowing for copying text](/media/blog/pinephone-phosh-copy.jpg)

This has enabled me to fully login to [Tootle](https://github.com/bleakgrey/tootle) - a great application for Mastodon. I can view my home, local, and federated timelines, and I can easily post toots (including images with text descriptions).

![Tootle app showing my local timeline](/media/blog/pinephone-phosh-tootle.jpg)

I can also now change the playback speed within the [Podcasts](https://wiki.gnome.org/Apps/Podcasts) app - another great quality of life improvement. Before, the UI would not let me select the appropriate radio button.

![Podcasts app showing the ability to change playback speed](/media/blog/pinephone-phosh-podcasts.jpg)

## Other improvements

Beyond these, I can now use the [Geary](https://wiki.gnome.org/Apps/Geary) application to log into my Google Mail accounts, which works well.

I also installed the "Discover" application (from "Software Manager"), which allows easy discovery of apps from [Flathub](https://flathub.org/home). Alternatively the [Flatpak](https://flatpak.org) command can be used to install these from the terminal (or via SSH).

![Pinephone lock-screen, showing Podcasts control](/media/blog/pinephone-phosh-lockscreen.jpg)

Other quality of life features allow for quick media control actions from the lock-screen (a feature which also worked under Plasma Mobile), and an easy-to-use app-switcher.

![Phosh app-switcher interface](/media/blog/pinephone-phosh-switcher.jpg)

## Moving forward

I've really enjoyed using the phone under Phosh, and I am looking forward to continue to experiment with new configurations, software, and processes. For example, setting up [Syncthing](https://syncthing.net) to automatically make backups of photos and files, taking advantage of the Nextcloud integration, and - just generally - building out processes to improve daily life with the phone.

As always, any recommendations are very welcome! Please just get in touch.