---
date: "2021-10-23T16:42:00Z"
title: "Extraterrestrial by Avi Loeb"
description: "My thoughts on the book Extraterrestrial by Avi Loeb"
tags: [100daystooffload, book]
---

I often enjoy books that try to take a different view on known events. I don't mean consipiracy theory - more around thinking laterally or "out of the box". Such ways of thinking often inspire ideas that drive innovative change, and it's important in order to counter "group think" or simply accepting what's easiest.

One such book that tries to do this is [Extraterrestrial](https://www.goodreads.com/book/show/48930288-extraterrestrial) by [Avi Loeb](https://www.goodreads.com/author/show/19762699.Avi_Loeb).

![Extraterrestrial book cover](/media/blog/extraterrestrial.jpg)

I finished this book a couple of weeks ago, and have been thinking about it since. Whilst I am not an astronomer - and know very little about the science of astrophysics and the probabilities of celestial events occurring (simply understanding how the distance to the moon is calculated still baffles me) - the themes around the automatic rejection of theory by scientific communities based on pre-conception makes me consider all of the other possible scientific theories we may have thrown away, almost by default, as we strive to learn more as a human community.

The book's subtitle is "The First Sign of Intelligent Life Beyond Earth", and the focus is on the event of an intersetellar object travelling through our solar system back in 2017. Whilst it is not uncommon for objects to be seen moving around our solar system (think planets, asteroids, comets, etc.), the author posits that the particular attributes of _this_ object are such that it is unlikely that it can be something that was created naturally.

The author discusses the size and shape of the object, the way it moved on a non-natural trajectory through the system, along with other factors, and essentially asks the question to the scientific community, "why could this not be the creation of an extraterrestrial intelligent community?".

The book is about pooling theories and scientific approaches to proving or rejecting them based on available evidence. The author talks about his peers and how they often simply reject extraterrestrial intelligence as the basis for candidate theories simply due to the fact that "because, aliens" is such an unlikely option. Loeb argues that, in these cases, one shouldn't just reject such theories based on pre-conceived notions of likelihood, but should instead consider all viable theories until the evidence grows sufficiently enough to disprove them.

Avi Loeb, the author, is a well-published professor of science at Harvard University, and makes robust and compelling arguments whilst trying to remain neutral throughout the book. I enjoyed it; the book is non-technical and is written in a way that makes it easy to consume if you are interested in this space.