---
date: "2021-10-30T18:45:00Z"
title: "Thinking positive"
description: "How I try to stay positive and happy when mixing home and work life."
tags: [100daystooffload, life]
---

It's been a weird 18 months. Before pandemic-initiated changes, our daily lives might have involved getting up and travelling on some form of commute (either by walking, public transport, car, or something else) to a place of work each morning, before reversing the process every evening.

From my perspective, the change to working remotely from home has a number of benefits. Although I do miss seeing people on a daily basis in the office, the _flexibility_ of remote work certainly outweighs any downsides. This is a feeling also echoed by many across my team - especially those with children or other family life that they need to work around.

As the months passed, however, it was all too easy to begin to slip into the routine of getting up just before morning meetings began, slide into a t-shirt and joggers, and head over to a desk to begin work for the day.

Without the work-life separation that the commute and workplace provided, I - like many people - started living, what felt like, a Groundhog Day-style life. I began to care a little less about my appearance, my health, and routine, since every day felt the same.

I quickly realised that this was not good for my mental wellbeing and general happiness. I usually have quite a positive outlook but I felt myself slipping a little into a mild depression.

I needed to take action, and I did. These days I feel much more adjusted to mixing home and work life. I'm generally happier and feel positive and pro-active again. Below are some of the things I do to build routine and positivity into my life.

## Get up earlier

Without needing to spend time commuting, it's easy to get up later in the morning. This can make you feel sluggish and give you a more negative view of your work day ahead.

I recommend setting your alarm clock earlier. Give your mind time in the morning to wake up. Spend time journaling, reading, talking with family, or anything else. This helps to break the sleep-work-sleep routine.

## Make your bed!

This sounds like (and is) a small thing, but taking the time to make your bed each morning, and tidy up a little, helps to restore your own pride in your appearance, as well as to give you a more positive outlook.

## Get a morning routine

Treat your day as if you were going to go to a workplace. Have a shower, shave (if that way inclined!), style your hair, choose clothes you like, and so on. You'll feel better for it than just pulling on some easy pyjamas.

You'll also feel more alert during video meetings and will be able to contribute more positively.

## If you need it, build some separation

Some people find it hard to get their minds into gear to begin work in the morning, especially if they work in the same place in which they live.

If you are one of these people, then build in some separation. After your shower, go for a quick ten minute walk round the block or a local park, get a coffee, listen to a podcast.

## Exercise

Exercise had one of the biggest positve impacts on my daily life. I've already [posted about running](/blog/2021/05/12/running) before, and I think this can be hugely beneficial for one's mental wellbeing, as well as physical fitness.

You don't need to join a gym (though, of course, that can help); just find something you enjoy doing - swimming, walking, or anything else - and that you can do a few times a week in and around your routine.

Personally I try and run three times a week and do some form of resistance training every day. I find it quite meditative and it's always a good thing to be a bit fitter.

## Organise your day

There's nothing worse than sitting down to start your work day, and feeling lost with too much (or too little!) to do.

One way around this is to use to-do lists, and to write down things you hope to achieve during your day. You could write these the day or evening before, or during the extra time you have before work from getting up earlier in the morning.

There are lots of great tools for this. On my iPhone and Mac I use [Sorted](https://www.sortedapp.com), which I find useful for combining tasks and events into one place. Other people use different tools with great success, or even pen and paper. Choose something that works for you.

## Break up your day

If you find it tedious without the natural distractions a normal office and other people povide, then build these in too.

Go and work from a local coffee shop in the afternoons, have a lunch-time walk, do chores or exercise between meetings - all of these can help introduce variation into your day.

## In general

Home (or remote) working is certainly not for everyone. Whilst I prefer it, I can fully appreciate why some may prefer spending more time in the office with other people. If and when (if not already) your team are back in an office then certainly take advantage of it.

If you will continue to be working from home, and want to mix things up a bit and feel more invigorated - perhaps by following some of the ideas in this post - then I advise finding something that sticks. Routines are a bit like a diet; they only really work if you can continue to live with them and can actually _enjoy_ them.

If you're in this latter boat, I'd love to hear from you, particularly if you have any of your own tips for keeping positive in mixing your home and work life!